/**
 * Copyright (c) 2014-2018 Linagora
 * 
 * This program/library is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 2.1 of the License, or (at your
 * option) any later version.
 * 
 * This program/library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License
 * for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program/library; If not, see http://www.gnu.org/licenses/
 * for the GNU Lesser General Public License version 2.1.
 */
package org.ow2.petals.cli.pref.exception;

import org.ow2.petals.cli.api.pref.PreferenceFileException;

/**
 * An alias has incomplete credentials properties in the preference file.
 * 
 * @author Christophe DENEUX - Linagora
 * 
 */
public abstract class IncompleteCredentialsException extends PreferenceFileException {

    private static final long serialVersionUID = -2433915667240085965L;

    /**
     * The name of the alias where a part of credentials is missing
     */
    private final String alias;
    
    public IncompleteCredentialsException(final String message, final String alias) {
        super(message);
        this.alias = alias;
    }

    /**
     * @return The alias having incomplete credentials definition
     */
    public String getAlias() {
        return this.alias;
    }

}
