/**
 * Copyright (c) 2014-2018 Linagora
 * 
 * This program/library is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 2.1 of the License, or (at your
 * option) any later version.
 * 
 * This program/library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License
 * for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program/library; If not, see http://www.gnu.org/licenses/
 * for the GNU Lesser General Public License version 2.1.
 */
package org.ow2.petals.cli.pref.exception;

/**
 * Credentials are incomplete: add the user or remove the password
 * 
 * @author Christophe DENEUX - Linagora
 * 
 */
public class MissingUserException extends IncompleteCredentialsException {
    
    private static final long serialVersionUID = -4125020758380356259L;

    public final static String MESSAGE_PATTERN = "The credentials for '%s' are invalid: add the user or remove the password.";

    public MissingUserException(final String alias) {
        super(String.format(MESSAGE_PATTERN, alias), alias);
    }

}
