/**
 * Copyright (c) 2015-2018 Linagora
 * 
 * This program/library is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 2.1 of the License, or (at your
 * option) any later version.
 * 
 * This program/library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License
 * for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program/library; If not, see http://www.gnu.org/licenses/
 * for the GNU Lesser General Public License version 2.1.
 */
package org.ow2.petals.cli.shell.command;

import org.apache.commons.cli.Option;

/**
 * A command having parameters associated to artifact version must implement this interface to define its option
 * 
 * @author Christophe DENEUX - Linagora
 * 
 */
public interface ArtifactVersionBasedCommand {

    public static final String VERSION_SHORT_OPTION = "v";

    public static final String VERSION_LONG_OPTION = "version";

    public static final Option VERSION_OPTION = Option.builder(VERSION_SHORT_OPTION).required(false)
            .longOpt(VERSION_LONG_OPTION)
            .desc("<version> is the artifact version used to restrict artifacts matching other parameters.")
            .numberOfArgs(1).argName("version").build();
}
