/**
 * Copyright (c) 2014-2018 Linagora
 *
 * This program/library is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 2.1 of the License, or (at your
 * option) any later version.
 *
 * This program/library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License
 * for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program/library; If not, see http://www.gnu.org/licenses/
 * for the GNU Lesser General Public License version 2.1.
 */
package org.ow2.petals.cli.shell.extension;

import org.ow2.petals.cli.api.http.EmbeddedHttpServer;
import org.ow2.petals.cli.api.shell.ShellExtension;
import org.ow2.petals.cli.http.EmbeddedHttpServerImpl;
import org.ow2.petals.cli.pref.PreferencesImpl;

public class HttpServerShellExtension implements ShellExtension {

    /**
     * An embedded HTTP server
     */
    private EmbeddedHttpServer embeddedHttpServer;

    /**
     * Preferences
     */
    final PreferencesImpl preferences;

    public HttpServerShellExtension(final PreferencesImpl preferences) {
        this.preferences = preferences;
    }

    @Override
    public void onInit() {
        this.embeddedHttpServer = new EmbeddedHttpServerImpl(this.preferences.getEmbeddedHttpServerParameters());
    }

    /**
     * @return The embedded HTTP server
     */
    public EmbeddedHttpServer getEmbeddedHttpServer() {
        return this.embeddedHttpServer;
    }

}
