/**
 * Copyright (c) 2016-2018 Linagora
 * 
 * This program/library is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 2.1 of the License, or (at your
 * option) any later version.
 * 
 * This program/library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License
 * for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program/library; If not, see http://www.gnu.org/licenses/
 * for the GNU Lesser General Public License version 2.1.
 */
package org.ow2.petals.cli.shell.util;

import org.ow2.petals.admin.api.PetalsAdministration;
import org.ow2.petals.cli.api.shell.Shell;
import org.ow2.petals.cli.api.shell.ShellExtension;
import org.ow2.petals.cli.shell.command.AbstractPetalsCliCommand;
import org.ow2.petals.cli.shell.extension.PetalsAdminShellExtension;

/**
 * Extracted from {@link AbstractPetalsCliCommand} because it is useful to other things than commands (such as
 * monitoring extensions).
 * 
 * @author vnoel
 *
 */
public class PetalsAdminWrapper {

    private final PetalsAdministration admin;

    public PetalsAdminWrapper(Shell shell) {
        PetalsAdministration a = null;
        if (shell.getExtensions() != null) {
            for (ShellExtension se : shell.getExtensions()) {
                if (se instanceof PetalsAdminShellExtension) {
                    a = ((PetalsAdminShellExtension) se).getAdmin();
                }
            }
        }
        this.admin = a;
    }

    public PetalsAdministration getAdmin() {
        if (admin == null) {
            throw new IllegalStateException("A PetalsAdminShellExtension must be registered for this command to work");
        }
        return admin;
    }
}
